------------------------------------------------------------------------------------
--Name:  	210426[简体征服][任务脚本]210423[简体征服][任务脚本]Soaring Archers剧情任务
--Creator:	杨艳
--Created:	2021-04-26
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(93, 75)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)

-- CppScriptMgr:WaitMilSec(1500);
-- CppScriptMgr:SetViewScale(300)

CppScriptMgr:AddEffect("B_Fire", 84, 82)
CppScriptMgr:AddEffect("B_Fire", 112, 85)


local player2   = CppScriptMgr:AddSimplePlayer(10670, 94,75, "ArcherCorpse")
local player3   = CppScriptMgr:AddSimplePlayer(10670, 89,72, "ArcherCorpse")
local player4   = CppScriptMgr:AddSimplePlayer(10670, 101,80, "ArcherCorpse")
local player5   = CppScriptMgr:AddSimplePlayer(10670, 86,78, "ArcherCorpse")
local player6   = CppScriptMgr:AddSimplePlayer(10670, 93,80, "ArcherCorpse")

local player14  = CppScriptMgr:AddSimplePlayer(1063566, 89,74, "CommanderYee")
player14:SetDir(6)
player14:SetZoomPercent(150)
player14:SetRWeapon(500169,0, 1)

local playerMonster1 = CppScriptMgr:AddPlayer(167,97 ,76, "EvilDogface")
local playerMonster2 = CppScriptMgr:AddPlayer(167,95 ,71, "EvilDogface")
local playerMonster3 = CppScriptMgr:AddPlayer(167,100 ,71, "EvilDogface")
local playerMonster4 = CppScriptMgr:AddPlayer(167,100 ,74, "EvilDogface")
local playerMonster5 = CppScriptMgr:AddPlayer(167,101 ,78, "EvilDogface")

playerMonster1:SetDir(2)
playerMonster2:SetDir(2)
playerMonster3:SetDir(2)
playerMonster4:SetDir(2)

player14:SetAction(401)
playerMonster1:SetAction(401)
playerMonster2:SetAction(401)
playerMonster3:SetAction(401)
playerMonster4:SetAction(401)
playerMonster5:SetAction(401)
CppScriptMgr:WaitMilSec(500)
player14:SetAction(401)
CppScriptMgr:AddEffect("30Lv_Xpter", 98, 73)
CppScriptMgr:WaitMilSec(500)

playerMonster1:SetAction(330)
playerMonster2:SetAction(330)
playerMonster3:SetAction(330)
playerMonster4:SetAction(330)
playerMonster5:SetAction(330)
CppScriptMgr:WaitMilSec(1200)
playerMonster5:SetPos(1000, 1000)
playerMonster3:SetPos(1000, 1000)
playerMonster4:SetPos(1000, 1000)
playerMonster1:SetPos(1000, 1000)
playerMonster2:SetPos(1000, 1000)
CppScriptMgr:WaitMilSec(500)

CppScriptMgr:NpcCallOut("    Don`t struggle. That is useless.\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc35674", 150, 430, "Gongsun", 250, 655)
CppScriptMgr:WaitMilSec(1000)

player14:Say("I will fight against you Evils till the end of my life!", 2000)
-- CppScriptMgr:NpcCallOut("    Evil不过宵小之徒，我与尔等不共戴天！\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc101", 150, 430, "CommanderYee", 250, 655)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:NpcCallOut("    I love watching you struggling! Don`t disappoint me, Szeto!\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc35674", 150, 430, "Gongsun", 250, 655)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:AddEffect("GodRef_twzh", 94, 73)
CppScriptMgr:WaitMilSec(500)

local playerMonster6 = CppScriptMgr:AddPlayer(149,94 ,73, "Szeto")
playerMonster6:SetZoomPercent(150)
playerMonster6:SetDir(2)
playerMonster6:Say("Leave it to me!", 2000)
CppScriptMgr:WaitMilSec(1000)

playerMonster6:SetAction(401)
CppScriptMgr:WaitMilSec(1000)
player14:SetAction(401)
playerMonster6:SetAction(401)
CppScriptMgr:WaitMilSec(500)
playerMonster6:SetAction(401)

-- CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("30Lv_Xpter", 89, 74)
-- CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Bf_attack", 94, 73)
-- CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Blood", 89,74)
CppScriptMgr:WaitMilSec(500)
player14:SetAction(330)
CppScriptMgr:WaitMilSec(1200)
player14:SetPos(1000, 1000)
CppScriptMgr:WaitMilSec(1000)


